Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Sat, 10 Nov 2012 16:28:24 -0200
From: Claudio André <claudioandre.br@...il.com>
To: john-dev@...ts.openwall.com
Subject: Re: Split kernel for OpenCL WPA-PSK

Em 09-11-2012 17:00, magnum escreveu:
> how about upgrading Bull to the driver versions recommended by 
> HashCat? It's Catalyst 12.8 and nvidia 304.32. Perhaps you could opt 
> to use the versions (if not the actual packages) supplied with Ubuntu 
> 12.10: Catalyst 12.9 and nvidia 304.43. See below.

It is not a bad idea to have a recommended version. But, drivers and 
releases are not good as they must be. For example, using [1] i see 
(again) a segmentation fault on your recent job:

:~/bin/john/magnum/src$ ../run/john -fo:wpapsk-opencl -t -de:0
OpenCL platform 0: AMD Accelerated Parallel Processing, 2 device(s).
Using device 0: Juniper
Falha de segmentação (imagem do núcleo gravada)

>
> I get the same error with GPG after some performance tweaks. Haven't 
> found a workaround yet. I'm SICK of chasing driver bugs. Perhaps I 
> should learn CUDA instead. Where do I start?

It is really sad we see this amount of problems using these drivers. 
BTW, what users on john-users prefer: CUDA or OpenCL?
Since OpenCL offers much more hardware/vendor possibilities, please do 
not give up yet.

Claudio

----
[1]
Catalyst 12.10
Version:                     OpenCL 1.2 AMD-APP (1016.4)

--
commit f000d9003934f639c4d1e9f52a1ac6debfd250ab
Author: magnum <john.magnum ... hmail.com>
Date:   Sat Nov 10 01:02:21 2012 +0100

     Add progress indicator during GWS enumeration in all my formats.

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ